Subject: GSP 370, PC, Not connecting to PC
From: EPOS Global Support <[email-masked]>
Cc: Ashish <[email-masked]>
Date: Thu, 06 Aug 2020 19:51:25 +0000

##- Please type your reply above this line -##

You are registered as a CC on this support request (89719). Reply to this email to add a comment to the request.

----------------------------------------------

Jddecam, Aug 6, 2020, 7:51 PM UTC

When will I receive any kind of confirmation on the shipping of the replacement

----------------------------------------------

Heta Nyrhinen, Aug 3, 2020, 7:55 AM UTC (private)

Replacement product shipped to the customer.

Tracking number: 1Z8760F36857795482

----------------------------------------------

Josephine Veena, Jul 31, 2020, 7:17 AM UTC (private)

Hi **Ashish**​

The product needs to be returned to Ballerup office Denmark, please check the price for the return, customer is in Canada.

If the return process is very expensive discuss with Heta.

Once Heta approves to change the address to Ballerup, change the return address in the return label to:

Attn: Josephine Veena Dorairaj
Global Support
EPOS
Sennheiser Communications A/S·
Industriparken 27 ·
DK-2750 Ballerup ·
Denmark

----------------------------------------------

Josephine Veena, Jul 31, 2020, 7:06 AM UTC

Hello Jose,

Thank you for your reply. I am sorry to hear that both the Gaming suite update and the tool update didn't resolve the issue in your device.

I have submitted the warranty request now. You will receive the replacement order number and the return label to ship the faulty headset back yo us.

Once you receive the new device, please follow the instructions below:
1) Check if your Gaming suite is in latest version. (Delete the Gaming suite software and download from here https://www.eposaudio.com/en/ca/gaming/downloads )
2) Connect the headset and dongle to your PC.
3) If you see any updates available in the Gaming suite for the GSP 370 and GSA 370, click on the updates and follow the instructions that are displayed in the Gaming suite carefully.

Thanks for your patience and understanding.

We wish you a nice day!
Best regards,

**Josephine Veena
EPOS Global Support**

----------------------------------------------

Jddecam, Jul 29, 2020, 11:42 PM UTC

Still does not work, and I am extremely upset with the lack of help and failure of the product. I expect better

----------------------------------------------

Josephine Veena, Jul 28, 2020, 2:19 PM UTC (private)

**_NEXT ACTION_**

**What**: Customer to update the firmware
**Who**: Jose
**When**: 31/07/2020​

----------------------------------------------

Josephine Veena, Jul 28, 2020, 2:18 PM UTC

Hello Jose,

Please accept the apologies for the delayed email.

We analyzed the issue why the headset and dongle gets bricked during or after the firmware update
and we released a new firmware for GSP 370 device and a new Gaming suite software version.

I would also like to explain why we haven't shipped the new device, because there were chances of the bricking
the device new device while updating the firmware from 2.12 to 2.21.

Could you please try the following:
1) https://www.eposaudio.com/en/ -Gaming and downloads
2) Download the latest Gaming suite and install in your PC
3) Connect the headset and dongle to your dongle and start updating.
4) Please read the steps carefully that are displayed in the Gaming suite while updating the headset and dongle.

If the above steps didn't help you to resolve the issue please follow the steps below:

Download the attached file
· The new standalone tool: “**GSP370UpdateTool-modified.zip**” -> Unzip to somewhere on your PC, run the shortcut “**GSP370UpdateTool**” or launch GamingSuite plugin from Component folder
· Before using the tool, please exit the Gamingsuite by right clicking on the icon in the task bar and select exit.
· Go to Task Manager and check if EPSO Gaming Suite Service is also stopped. If not please stop then service.
· Once the headset and dongle, Please delete the tool.
· Launch EPOS Gaming Suite and go to the Task Manager and check if EPSO Gaming Suite Service is running, if not start the service.

We wish you a nice day!
Best regards,

**Josephine Veena
EPOS Global Support**

Attachment(s):
GSP370UpdateTool-modified.zip - https://eposaudio-gaming.zendesk.com/attachments/token/rkl9WiNcVZAsd6kXaWHRbZr19/?name=GSP370UpdateTool-modified.zip

----------------------------------------------

Josephine Veena, Jul 16, 2020, 12:04 PM UTC (private)

**_NEXT ACTION_**

**What**: To send the updated headset and dongle
**Who**: Josephine
When: 22/07/2020

----------------------------------------------

Josephine Veena, Jul 16, 2020, 12:03 PM UTC

Hello Jose,

Please accept the apologies for the delay. We are waiting to receive the stock,
 and we will ship the updated dongle by next weekend.

We wish you a nice day!
Best regards,

**Josephine Veena
EPOS Global Support**

----------------------------------------------

Jddecam, Jul 8, 2020, 2:12 AM UTC

When can it be expected to have come in? As I currently am using my monitors speakers as a source of output audio

On Tue, Jul 7, 2020 at 5:17 AM EPOS Global Support <[email-masked]> wrote:

> ![EPOS Audio](https://i.imgur.com/pIPXpFH.png)
>
> Your request (89719) has been updated. To add additional comments, reply to this email.
>
> **Josephine Veena** (EPOS Gaming)
>
> Jul 7, 2020, 9:17 AM UTC
>
> Hello Jose,
>
> Please accept the apologies for the delay, we are waiting to receive the GSP 370 stock,
> as soon as we receive the stock, will ship you the updated device.
>
> We wish you a nice day!
> Best regards,
>
> **Josephine Veena
> EPOS Global Support**
>
> Click here to view the full ticket: eposaudio-gaming.zendesk.com/hc/requests/89719
>
> This email is a service from EPOS Gaming.
>
> [Q5GOQ5-7WK7]

----------------------------------------------

Josephine Veena, Jul 7, 2020, 9:17 AM UTC (private)

**_NEXT ACTION_**

**What**: To send the updated headset and dongle
**Who**: Josephine
**When**: 08/07/2020​

----------------------------------------------

Josephine Veena, Jul 7, 2020, 9:17 AM UTC

Hello Jose,

Please accept the apologies for the delay, we are waiting to receive the GSP 370 stock,
as soon as we receive the stock, will ship you the updated device.

We wish you a nice day!
Best regards,

**Josephine Veena
EPOS Global Support**

----------------------------------------------

Jddecam, Jul 2, 2020, 1:41 PM UTC

Great, thank you so much!

----------------------------------------------

Sebastien Manin, Jul 2, 2020, 1:23 PM UTC (private)

**_NEXT ACTION_**

**What**: Assigning to Josephine as per instructions.
**Who**: Josephine
**When**: 08/07/2020​

----------------------------------------------

Sebastien Manin, Jul 2, 2020, 1:23 PM UTC

Hello Jose,

Thanks for your patience.

Your warranty claim has been approved! You will receive an updated device soon.

My colleagues will be in touch with you from now on. This ticket will remain opened until its resolution.

If you have any question, you can reply to this message.

I wish you all the best and have a nice day!

Kind regards,
Sebastien
EPOS Global Support

----------------------------------------------

Josephine Veena, Jul 2, 2020, 1:04 PM UTC (private)

RMA approved, inform customer that we will send updated device and assign the ticket to me with due date 8th July

----------------------------------------------

Sebastien Manin, Jul 2, 2020, 10:51 AM UTC (private)

**_CASE SUMMARY_**

**Contact person**: Jose De Campos
**Email**: [email-masked]
**Product name**: GSP 370
**Number of Products**: 1
**Environment**: PC
**Issue**: Not connecting to PC
**Current status**: Customer performed all the troubleshooting including Stand alone Forced Update. Headset needs to be repalced. Tried Amazon but option not visible. Requested RMA approval.

----------------------------------------------

Sebastien Manin, Jul 2, 2020, 10:51 AM UTC (private)

**_NEXT ACTION_**

**What**: Advised that I'm investigating the warranty claim
**Who**: Jose
**When**: 03/07/2020​

----------------------------------------------

Sebastien Manin, Jul 2, 2020, 10:51 AM UTC

Hello Jose,

Thanks for your message.

I'm investigating your warranty claim and I'll get back to you as soon as possible.

Thanks for your patience!

Kind regards,
Sebastien
EPOS Global Support

----------------------------------------------

Jddecam, Jul 1, 2020, 3:21 PM UTC

Shipping address is 106 Elmwood Crescent, Thunder Bay, Ontario, Canada, P7E 6A4

Phone number is (807) 632-2356 a Canadian number.

Name is Jose De Campos

Attachment(s):
Screenshot_3.png - https://eposaudio-gaming.zendesk.com/attachments/token/sS9qYO8WM2ihRnWQMj5TVb5n2/?name=Screenshot_3.png

----------------------------------------------

Sebastien Manin, Jul 1, 2020, 7:23 AM UTC (private)

**_NEXT ACTION_**

**What**: Referred to Amazon and requested information to submit RMA
**Who**: Jose
**When**: 02/07/2020​

----------------------------------------------

Sebastien Manin, Jul 1, 2020, 7:23 AM UTC

Hello Jose,

Thanks for your message and sorry to hear it didn't work.

If the headset was purchased from a third party reseller within two years, please contact them for a warranty claim.

Since you purchased it from Amazon in May, you should still have the option to return it with them directly:

1) Log on to your amazon.com account.
2) Click on “Account & Lists” and click on "Your orders".
3) Find your order. Select the correct time frame in the drop-down menu if your order is not visible on the first page.
4) If the option” Return or Replace items” is visible, click on it and follow the process to return/replace the item directly via Amazon.
5) If the option” Return or Replace items” is not visible, would you be able to provide me with the following information:

A copy of the proof of purchase
Shipping address including post code
A contact phone number

Once received, I will be able to advise you on your warranty options.

Thanks for your patience!

Have a nice day!

Kind regards,
Sebastien
EPOS Global Support

----------------------------------------------

Jddecam, Jul 1, 2020, 1:02 AM UTC

Hi Sebastien, it still didn't work. What is required for me to get a replacement headset and dongle? Ser. non. 0399000079, bought from amazon in May. But it still has a factory warranty for 2 years.

----------------------------------------------

Sebastien Manin, Jun 30, 2020, 3:55 PM UTC (private)

**_NEXT ACTION_**

**What**: Advised to use the Stand alone Forced update
**Who**: Jose
**When**: 01/07/2020​

----------------------------------------------

Sebastien Manin, Jun 30, 2020, 3:55 PM UTC

Hello Jose,

Thanks for your message.

In the meantime, we developped a stand alone version of the Forced update for this issue. Could you please give it a try:

Stand Alone Forced update

Let me know how you get on.

Have a nice day!

Kind regards,
Sebastien
EPOS Global Support

----------------------------------------------

Jddecam, Jun 26, 2020, 10:49 PM UTC

Yes, for good measure I reinstalled the gaming suite and nothing. Ran the headset forced update and nothing, but couldn't run the dongle forced update. I think if I could get a replacement headset and dongle would be better. I just need to know how to do it.

----------------------------------------------

Sebastien Manin, Jun 26, 2020, 11:17 AM UTC (private)

**_LEVEL 2 - NEXT ACTION_**

**What**: Provided troubleshooting steps
**Who**: Jose
**When**: 01/07/2020​

----------------------------------------------

Sebastien Manin, Jun 26, 2020, 11:17 AM UTC

Hello Jose,

Thanks for contacting us. I would like to apologize for the delay in coming back to you.

I'm sorry to hear that you're having an issue with your GSP 370. First of all, let me reassure you by saying that you are in the right place and I will do my best to find a resolution as quick as possible.

Could you please confirm that you updated the Gaming Suite application only and not the headset / dongle?

If that's the case, could I please ask you to uninstall the application and to reinstall it?

https://epi.eposaudio.com/globalassets/_gaming_media/gaming-suite/sennheiser-gaming-suite.zip

If you've updated the firmware for the headsdet and dongle and they are not detected, please try a Forced update using the link below:

Forced Firmware update

Do not hesitate to come back to me if you have any question.

Have a nice day!

Kind regards,
Sebastien
EPOS Global Support

----------------------------------------------

Sebastien Manin, Jun 26, 2020, 11:12 AM UTC (private)

**_CASE SUMMARY_**

**Contact person**: Jddecam
**Email**: [email-masked]
**Product name**: GSP 370
**Number of Products**: 1
**Environment**: PC
**Issue**: Not connecting to PC
**Current status**: To contact the customer

----------------------------------------------

Kilian Girard, Jun 25, 2020, 6:22 AM UTC (private)

Gaming Ticket assigned from CCO queue to Gaming queue

----------------------------------------------

!*** Jddecam was not signed in when this comment was submitted. Learn more ***!

Jddecam, Jun 25, 2020, 12:14 AM UTC

I recently updated my sennheiser gaming suite as I saw an update for the app, and now my GSP 370 will not connect to my PC

--------------------------------
This email is a service from EPOS Gaming.

[Q5GOQ5-7WK7]